%define _requires_exceptions perl(Carp::Heavy)

%define build_h323	0
%{?_without_h323:	%global build_h323 0}
%{?_with_h323:		%global build_h323 1}

%define build_misdn	1
%{?_without_misdn:	%global build_misdn 0}
%{?_with_misdn:		%global build_misdn 1}

%define build_odbc	1
%{?_without_odbc:	%global build_odbc 0}
%{?_with_odbc:		%global build_odbc 1}

%define build_radius	1
%{?_without_radius:	%global build_radius 0}
%{?_with_radius:	%global build_radius 1}

%define build_tds	0
%{?_without_tds:	%global build_tds 0}
%{?_with_tds:		%global build_tds 1}

# SIP over TCP / TLS support: http://bugs.digium.com/view.php?id=4903
%define build_tcp	1
%{?_without_tcp:	%global build_tcp 0}
%{?_with_tcp:		%global build_tcp 1}

# this takes quite some time...
%define build_docs	0
%{?_without_docs:	%global build_docs 0}
%{?_with_docs:		%global build_docs 1}

Summary:	Asterisk PBX
Name:		asterisk
Version:	1.4.11
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
URL:		http://www.asterisk.org/
Source0:	http://www.asterisk.org/html/downloads/%{name}-%{version}.tar.bz2
Source1:	asterisk.init
Source2:	asterisk.sysconfig
Source3:	http://www.asteriskdocs.org/modules/tinycontent/content/docbook/current/AsteriskDocs-html.tar.bz2
Patch0:		asterisk-1.4.0-mdv.diff
Patch4:		asterisk-1.4.0-beta3-freetds_mssql.diff
Patch16:	asterisk-1.4.0-beta3-external_liblpc10_and_libilbc.diff
Patch17:	asterisk-1.4.0-beta3-no_mega_optimization.diff
Patch18:	asterisk-1.4.0-beta2-imap.diff
Patch19:	asterisk-1.4-app_fax.diff
Patch20:	asterisk-chan_sip-content-length.diff
Patch100:	sip-20070808-1.4.9.tcp
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:	mpg123
Requires:	asterisk-core-sounds
BuildRequires:	libtool
BuildRequires:	autoconf >= 1:2.60
BuildRequires:	automake1.9 >= 1.9.6
BuildRequires:	libalsa-devel
BuildRequires:	libcurl-devel
BuildRequires:	isdn4k-utils-devel
BuildRequires:	libgsm-devel
BuildRequires:	libiksemel-devel
BuildRequires:	libilbc-devel
BuildRequires:	libnbs-devel
BuildRequires:	libncurses-devel
BuildRequires:	libpri-devel >= 1.4.0
BuildRequires:	libspeex-devel
BuildRequires:	libtermcap-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtonezone-devel >= 1.4.0
BuildRequires:	libzap-devel >= 1.0.1
BuildRequires:	lpc10-devel
BuildRequires:	libidn-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	openssl-devel
BuildRequires:	postgresql-devel
BuildRequires:	spandsp-devel
BuildRequires:	sqlite-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	imap-devel
BuildRequires:	krb5-devel
BuildRequires:	pam-devel
%if %{build_misdn}
BuildRequires:	libmisdn-devel >= 1:3.4
%endif
%if %{build_docs}
BuildRequires:	doxygen
%endif
BuildRequires:	newt-devel
BuildRequires:	oggvorbis-devel
%if %{build_h323}
#BuildRequires:	ooh323c-devel
#BuildRequires:	openh323-devel >= 1.15.3
%endif
## needed for smsq: popt-devel
BuildRequires:	libpopt-devel
#BuildRequires:	swig-devel
BuildRequires:	wget
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Asterisk is an Open Source PBX and telephony development platform that
can both replace a conventional PBX and act as a platform for developing
custom telephony applications for delivering dynamic content over a
telephone similarly to how one can deliver dynamic content through a
web browser using CGI and a web server.

Asterisk talks to a variety of telephony hardware including BRI, PRI, 
POTS, and IP telephony clients using the Inter-Asterisk eXchange
protocol (e.g. gnophone or miniphone).  For more information and a
current list of supported hardware, see www.asterisk.org.

%if %{build_misdn}
%package	chan_misdn
Summary:	This module adds mISDN support to the Asterisk PBX
Group:		System/Servers
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	chan_misdn
This module adds mISDN support to the Asterisk PBX. mISDN is the
(experimental) new ISDN4Linux stack, which adds support for
driving cards in NT mode and thus connecting an ISDN phone to your
computer.
%endif

%package	devel
Summary:	Header files for building Asterisk modules
Group:		Development/C

%description	devel
This package contains the development header files that are needed
to compile 3rd party modules.

%package	docs
Summary:	The Hitchhiker's Guide to Asterisk
Group:		Books/Howtos

%description	docs
The Hitchhiker's Guide to Asterisk

%package	plugins-fax
Summary:	FAX plugins for Asterisk
Group:		System/Servers
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-fax
This package contains FAX plugins for Asterisk:

* Trivial FAX Receive Application
* Trivial FAX Transmit Application
* Assign entered string to a given variable

%if %{build_odbc}
%package	plugins-odbc
Summary:	ODBC plugins for Asterisk
Group:		System/Servers
BuildRequires:	libunixODBC-devel
BuildRequires:	libtool-devel
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-odbc
This package contains ODBC plugins for Asterisk:

* ODBC Configuration
* Call Detail Recording for ODBC
* ODBC resource manager
%endif

%package	plugins-pgsql
Summary:	PostgreSQL plugins for Asterisk
Group:		System/Servers
BuildRequires:	postgresql-devel
BuildRequires:	zlib-devel
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-pgsql
This package contains PostgreSQL plugins for Asterisk:

* Simple PostgreSQL Interface
* Call Detail Recording for PostgreSQL

%if %{build_radius}
%package	plugins-radius
Summary:	Radiusclient plugins for Asterisk
Group:		System/Servers
BuildRequires:	radiusclient-ng-devel
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-radius
This package contains Radiusclient plugins for Asterisk:

* Call Detail Recording for Radius
%endif

%package	plugins-sqlite
Summary:	SQLite plugins for Asterisk
Group:		System/Servers
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-sqlite
This package contains SQLite plugins for Asterisk:

* Call Detail Recording for SQLite

%if %build_tds
%package	plugins-tds
Summary:	FreeTDS plugins for Asterisk
Group:		System/Servers
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}
BuildRequires:	freetds_mssql-devel >= 0.64

%description	plugins-tds
This package contains FreeTDS plugins for Asterisk:

* Call Detail Recording for FreeTDS
%endif

%package	plugins-osp
Summary:	Open Settlement Protocol for Asterisk
Group:		System/Servers
BuildRequires:	libosp-devel
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-osp
This package contains OSP (Open Settlement Protocol) support for Asterisk

%package	plugins-snmp
Summary:	Brief SNMP Agent / SubAgent support for Asterisk
Group:		System/Servers
Requires:	net-snmp
BuildRequires:	libnet-snmp-devel
BuildRequires:	perl-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	openssl-devel
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-snmp
This package contains brief SNMP Agent / SubAgent support for Asterisk.

%package	plugins-jabber
Summary:	Jabber support for Asterisk
Group:		System/Servers
BuildRequires:	libgcrypt-devel
BuildRequires:	libgnutls-devel
BuildRequires:	libgpg-error-devel
BuildRequires:	libiksemel-devel
BuildRequires:	zlib-devel
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-jabber
This package contains Jabber support for Asterisk.

* res_jabber  - A resource for interfacing asterisk directly as a client or a
                component to a jabber compliant server.

* chan_gtalk  - brief Gtalk Channel Driver, until google/libjingle works with
                jingle spec.

%package	webvmail
Summary:	Web frontend to voicemail
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}
Requires:	webserver

%description	webvmail
This package contains the web frontend to voicemail.

WARNING:
IT USES A SETUID ROOT PERL SCRIPT, SO IF YOU DON'T LIKE THAT,
DO NOT INSTALL THIS PACKAGE!

%prep

%setup -q -a3

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type d -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
		
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%patch0 -p1 -b .mdv

%if %build_tds
%patch4 -p1 -b .freetds_mssql
%endif

%patch16 -p0 -b .external_liblpc10_and_libilbc
%patch17 -p0 -b .no_mega_optimization
%patch18 -p0 -b .imap
%patch19 -p0 -b .app_fax
%patch20 -p0 -b .content_length

%if %{build_tcp}
# SIP over TCP
%patch100 -p0 -b .tcp.patch
%endif

cat %{SOURCE1} > asterisk.init
cat %{SOURCE2} > asterisk.sysconfig

# lib64 fix
find -name "Makefile" | xargs perl -pi -e "s|/usr/lib|%{_libdir}|g"
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*
perl -pi -e "s|/lib/|/%{_lib}/|g" configure*

# fix one convenient softlink
pushd docs-html
    ln -s book1.html index.html
popd

# temporary hack
cp %{_includedir}/spandsp/plc.h include/asterisk/

%build
%serverbuild

rm -f configure
sh ./bootstrap.sh

echo "%{version}-%{release}" > .version

export ASTCFLAGS="$CFLAGS"

%configure2_5x \
    --without-kde \
    --without-qt \
    --without-tinfo \
    --without-vpb \
    --without-pwlib \
%if !%{build_h323}
    --without-h323 \
%endif
    --with-imap=%{_prefix} \
    --with-asound=%{_prefix} \
    --with-curses=%{_prefix} \
    --with-gnutls=%{_prefix} \
    --with-gsm=%{_prefix} \
    --with-iksemel=%{_prefix} \
    --with-isdnnet=%{_prefix} \
%if %{build_misdn}
    --with-misdn=%{_prefix} \
%endif
    --with-nbs=%{_prefix} \
    --with-ncurses=%{_prefix} \
    --with-netsnmp=%{_prefix} \
    --with-newt=%{_prefix} \
%if %{build_odbc}
    --with-odbc=%{_prefix} \
%endif
    --with-ogg=%{_prefix} \
    --with-osptk=%{_prefix} \
    --with-oss=%{_prefix} \
    --with-popt=%{_prefix} \
    --with-postgres=%{_prefix} \
    --with-pri=%{_prefix} \
    --with-radius=%{_prefix} \
    --with-speex=%{_prefix} \
    --with-sqlite=%{_prefix} \
    --with-suppserv=%{_prefix} \
    --with-ssl=%{_prefix} \
%if %{build_tds}
    --with-tds_mssql=%{_prefix} \
%endif
    --with-termcap=%{_prefix} \
    --with-tonezone=%{_prefix} \
    --with-vorbis=%{_prefix} \
    --with-z=%{_prefix} \
    --with-zaptel=%{_prefix} \
    HTTPDIR="/var/www"

%make

%if %{build_docs}
%make progdocs
%endif

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}/var/www/{html,cgi-bin}

%makeinstall_std \
	ASTSBINDIR="%{_sbindir}" \
	HTTPDIR="/var/www"

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}/var/run/asterisk
install -d %{buildroot}/var/spool/asterisk
install -d %{buildroot}/var/spool/asterisk/outgoing

# install init scrips
install -d %{buildroot}%{_initrddir}
install -m0755 asterisk.init %{buildroot}%{_initrddir}/asterisk

# install sysconfig file
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m0644 asterisk.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/asterisk

# fix logrotation
install -d %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/asterisk << EOF
/var/log/asterisk/console /var/log/asterisk/debug /var/log/asterisk/messages /var/log/asterisk/queue_log /var/log/asterisk/event_log /var/log/asterisk/cdr-csv/Master.csv {
    weekly
    rotate 5
    copytruncate
    compress
    notifempty
    missingok
    postrotate
    %{_sbindir}/asterisk -rx 'reload'
    endscript
}
EOF

touch %{name}-devel.filelist
%if %{build_docs}
    find doc/api/html -type f | sed 's/^/%doc /' | grep -v '\./%{name}-devel.filelist' > %{name}-devel.filelist
%endif

# fix ghost files
touch	%{buildroot}%{_localstatedir}/asterisk/astdb
touch	%{buildroot}/var/log/asterisk/console
touch	%{buildroot}/var/log/asterisk/debug
touch	%{buildroot}/var/log/asterisk/messages
touch	%{buildroot}/var/log/asterisk/queue_log
touch	%{buildroot}/var/log/asterisk/event_log
touch	%{buildroot}/var/log/asterisk/cdr-csv/Master.csv
touch	%{buildroot}/var/log/asterisk/h323_log

# Fix incorrect path in /etc/asterisk/asterisk.conf
perl -pi -e "s|astrundir => /var/run|astrundir => /var/run/asterisk|g" %{buildroot}/%{_sysconfdir}/asterisk/asterisk.conf
perl -pi -e "s|^libdir=.*|libdir=%{_libdir}|g" %{buildroot}%{_libdir}/pkgconfig/asterisk.pc
perl -pi -e "s|^varrundir=.*|varrundir=/var/run/asterisk|g" %{buildroot}%{_libdir}/pkgconfig/asterisk.pc

# TODO
# Add directory for ssl certs
#mkdir -p %{buildroot}%{_sysconfdir}/ssl/%{name}

# Remove unpackages files
rm -rf %{buildroot}%{_localstatedir}/asterisk/moh/.asterisk-moh-freeplay-wav

# use the stand alone asterisk-core-sounds package instead
rm -rf %{buildroot}%{_localstatedir}/asterisk/sounds

%pre
%_pre_useradd asterisk %{_localstatedir}/asterisk /bin/sh

%post
%create_ghostfile %{_localstatedir}/asterisk/astdb asterisk asterisk 644
%create_ghostfile /var/log/asterisk/console asterisk asterisk 644
%create_ghostfile /var/log/asterisk/debug asterisk asterisk 644
%create_ghostfile /var/log/asterisk/messages asterisk asterisk 644
%create_ghostfile /var/log/asterisk/queue_log asterisk asterisk 644
%create_ghostfile /var/log/asterisk/event_log asterisk asterisk 644
%create_ghostfile /var/log/asterisk/cdr-csv/Master.csv asterisk asterisk 644
%create_ghostfile /var/log/asterisk/h323_log asterisk asterisk 644
echo "Adding setuid root to /usr/bin/mpg123, needed for MOH"
chmod u+s %{_bindir}/mpg123
%_post_service asterisk

%preun
if [ "$1" = 0 ]; then
    echo "Removing setuid root from /usr/bin/mpg123"
    chmod u-s %{_bindir}/mpg123
fi

# TODO
# generate the ldap.pem cert here instead of the initscript
#"/etc/ssl/asterisk/trustcerts.pem"
#"/etc/ssl/asterisk/trustdir"
#"/etc/ssl/asterisk/servercert.pem"
#"/etc/ssl/asterisk/serverkey.pem"
#"/etc/ssl/asterisk/dh512.pem"
#"/etc/ssl/asterisk/dh1024.pem"
#if [ ! -e %{_sysconfdir}/ssl/%{name}/ldap.pem ] ; then
#	if [ -x %{_datadir}/%{name}/gencert.sh ] ; then
#		echo "Generating self-signed certificate..."
#		pushd %{_sysconfdir}/ssl/%{name}/ > /dev/null
#		yes ""|%{_datadir}/%{name}/gencert.sh >/dev/null 2>&1
#		chmod 640 ldap.pem
#		chown root:ldap ldap.pem
#		popd > /dev/null
#	fi
#	echo "To generate a self-signed certificate, you can use the utility"
#	echo "%{_datadir}/%{name}/gencert.sh..."
#fi

%_preun_service asterisk

%postun
%_postun_userdel asterisk

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS ChangeLog CREDITS LICENSE README* apps/rpt_flow.pdf
%doc doc/*README* doc/*.txt contrib/init.d/rc.mandrake* contrib/asterisk-ices.xml
%doc contrib/scripts contrib/i18n.testsuite.conf contrib/README.festival
%attr(0755,root,root)					%{_initrddir}/asterisk
%attr(0644,root,root) %config(noreplace)		%{_sysconfdir}/logrotate.d/asterisk
%attr(0750,asterisk,asterisk) %dir			%{_sysconfdir}/asterisk
%attr(0644,asterisk,asterisk) %config(noreplace)	%{_sysconfdir}/asterisk/*.adsi
%attr(0644,asterisk,asterisk) %config(noreplace)	%{_sysconfdir}/asterisk/*.conf
%attr(0644,asterisk,asterisk) %config(noreplace)	%{_sysconfdir}/asterisk/extensions.ael
%attr(0644,root,root) %config(noreplace)		%{_sysconfdir}/sysconfig/asterisk
# TODO
#attr(0750,root,asterisk) %dir				%{_sysconfdir}/ssl/asterisk

# these are packaged as sub packages below
%if %{build_misdn}
%exclude						%{_sysconfdir}/asterisk/misdn.conf
%endif
%if %{build_odbc}
%exclude						%{_sysconfdir}/asterisk/*_odbc.conf
%endif
%if %{build_tds}
%exclude						%{_sysconfdir}/asterisk/*tds*.conf
%endif
%exclude						%{_sysconfdir}/asterisk/cdr_pgsql.conf
%exclude						%{_sysconfdir}/asterisk/gtalk.conf
%exclude						%{_sysconfdir}/asterisk/jabber.conf
%exclude						%{_sysconfdir}/asterisk/osp.conf
%exclude						%{_sysconfdir}/asterisk/res_snmp.conf
%exclude						%{_sysconfdir}/asterisk/*sql*.conf

%attr(0755,root,root)					%{_sbindir}/aelparse
%attr(0755,root,root)					%{_sbindir}/asterisk
%attr(0755,root,root)					%{_sbindir}/astgenkey
%attr(0755,root,root)					%{_sbindir}/astman
%attr(0755,root,root)					%{_sbindir}/autosupport
%attr(0755,root,root)					%{_sbindir}/muted
%attr(0755,root,root)					%{_sbindir}/rasterisk
%attr(0755,root,root)					%{_sbindir}/safe_asterisk
%attr(0755,root,root)					%{_sbindir}/smsq
%attr(0755,root,root)					%{_sbindir}/stereorize
%attr(0755,root,root)					%{_sbindir}/streamplayer

%attr(0755,root,root)		%dir			%{_libdir}/asterisk
%attr(0755,root,root)		%dir			%{_libdir}/asterisk/modules
%attr(0755,root,root)					%{_libdir}/asterisk/modules/app_*.so
%attr(0755,root,root)					%{_libdir}/asterisk/modules/cdr_*.so
%attr(0755,root,root)					%{_libdir}/asterisk/modules/chan_*.so
%attr(0755,root,root)					%{_libdir}/asterisk/modules/codec_*.so
%attr(0755,root,root)					%{_libdir}/asterisk/modules/format_*.so
%attr(0755,root,root)					%{_libdir}/asterisk/modules/func_*.so
#attr(0755,root,root)					%{_libdir}/asterisk/modules/func_callerid.so
#attr(0755,root,root)					%{_libdir}/asterisk/modules/func_enum.so
#attr(0755,root,root)					%{_libdir}/asterisk/modules/func_uri.so
%attr(0755,root,root)					%{_libdir}/asterisk/modules/pbx_*.so
%attr(0755,root,root)					%{_libdir}/asterisk/modules/res_*.so

# these are packaged as sub packages below
%if %{build_misdn}
%exclude						%{_libdir}/asterisk/modules/chan_misdn.so
%endif
%if %{build_odbc}
%exclude						%{_libdir}/asterisk/modules/*_odbc.so
%endif
%if %{build_tds}
%exclude						%{_libdir}/asterisk/modules/*tds*.so
%endif
%exclude						%{_libdir}/asterisk/modules/app_*fax.so
%exclude						%{_libdir}/asterisk/modules/app_osplookup.so
#exclude						%{_libdir}/asterisk/modules/app_sql_postgres.so
%exclude						%{_libdir}/asterisk/modules/cdr_pgsql.so
%exclude						%{_libdir}/asterisk/modules/cdr_radius.so
%exclude						%{_libdir}/asterisk/modules/cdr_sqlite.so
%exclude						%{_libdir}/asterisk/modules/chan_gtalk.so
%exclude						%{_libdir}/asterisk/modules/res_config_pgsql.so
%exclude						%{_libdir}/asterisk/modules/res_jabber.so
%exclude						%{_libdir}/asterisk/modules/res_snmp.so
%exclude						%{_libdir}/asterisk/modules/*sql*.so

#attr(0755,asterisk,asterisk)	%dir			%{_localstatedir}/asterisk
%attr(0755,root,root)		%dir			%{_localstatedir}/asterisk/agi-bin
%attr(0755,root,root)					%{_localstatedir}/asterisk/agi-bin/*
%ghost							%{_localstatedir}/asterisk/astdb
%attr(0755,root,root)		%dir			%{_localstatedir}/asterisk/firmware
%attr(0755,root,root)		%dir			%{_localstatedir}/asterisk/firmware/iax
%attr(0755,root,root)					%{_localstatedir}/asterisk/firmware/iax/*.bin
%attr(0755,root,root)		%dir			%{_localstatedir}/asterisk/images
%attr(0644,root,root)					%{_localstatedir}/asterisk/images/*.jpg
%attr(0755,root,root)		%dir			%{_localstatedir}/asterisk/keys
%attr(0644,root,root)					%{_localstatedir}/asterisk/keys/*.pub
%attr(0755,root,root)		%dir			%{_localstatedir}/asterisk/moh
%attr(0644,root,root)					%{_localstatedir}/asterisk/moh/*.wav
%doc							%{_localstatedir}/asterisk/moh/LICENSE-asterisk-moh-freeplay-wav
#attr(0755,root,root)		%dir			%{_localstatedir}/asterisk/mohmp3
#attr(0644,root,root)					%{_localstatedir}/asterisk/mohmp3/*.mp3
%attr(0755,root,root)		%dir			%{_localstatedir}/asterisk/static-http
%attr(0644,root,root)					%{_localstatedir}/asterisk/static-http/*

%attr(0750,asterisk,asterisk)	%dir			/var/log/asterisk
%attr(0750,asterisk,asterisk)	%dir			/var/log/asterisk/cdr-csv
%attr(644,asterisk,asterisk)	%ghost			/var/log/asterisk/cdr-csv/Master.csv
%attr(0750,asterisk,asterisk)	%dir			/var/log/asterisk/cdr-custom
%attr(644,asterisk,asterisk)	%ghost			/var/log/asterisk/console
%attr(644,asterisk,asterisk)	%ghost			/var/log/asterisk/debug
%attr(644,asterisk,asterisk)	%ghost			/var/log/asterisk/event_log
%attr(644,asterisk,asterisk)	%ghost			/var/log/asterisk/h323_log
%attr(644,asterisk,asterisk)	%ghost			/var/log/asterisk/messages
%attr(644,asterisk,asterisk)	%ghost			/var/log/asterisk/queue_log
#attr(0750,asterisk,asterisk)	%dir			/var/log/asterisk/testreports

%attr(0750,asterisk,asterisk)	%dir			/var/run/asterisk

%attr(0750,asterisk,asterisk)	%dir			/var/spool/asterisk
#attr(0750,asterisk,asterisk)	%dir			/var/spool/asterisk/dictate
#attr(0750,asterisk,asterisk)	%dir			/var/spool/asterisk/meetme
#attr(0750,asterisk,asterisk)	%dir			/var/spool/asterisk/monitor
%attr(0750,asterisk,asterisk)	%dir			/var/spool/asterisk/outgoing
#attr(0750,asterisk,asterisk)	%dir			/var/spool/asterisk/system
#attr(0750,asterisk,asterisk)	%dir			/var/spool/asterisk/tmp
#attr(0750,asterisk,asterisk)	%dir			/var/spool/asterisk/vm
%attr(0750,asterisk,asterisk)	%dir			/var/spool/asterisk/voicemail
%attr(0750,asterisk,asterisk)	%dir			/var/spool/asterisk/voicemail/default
%attr(0750,asterisk,asterisk)	%dir			/var/spool/asterisk/voicemail/default/1234
#attr(0750,asterisk,asterisk)	%dir			/var/spool/asterisk/voicemail/default/1234/INBOX
%attr(0644,asterisk,asterisk)				/var/spool/asterisk/voicemail/default/1234/busy.gsm
%attr(0644,asterisk,asterisk)				/var/spool/asterisk/voicemail/default/1234/unavail.gsm
#attr(0750,asterisk,asterisk)	%dir			/var/spool/asterisk/voicemail/voicemail

							%{_mandir}/man8/asterisk.8*
							%{_mandir}/man8/astgenkey.8*
							%{_mandir}/man8/autosupport.8*
							%{_mandir}/man8/safe_asterisk.8*

%files devel -f %{name}-devel.filelist
%defattr(-,root,root)
%attr(0644,root,root)					%{_includedir}/asterisk/*.h
%attr(0644,root,root)					%{_includedir}/asterisk.h
#exclude						%{_includedir}/asterisk/defaults.h
							%{_libdir}/pkgconfig/asterisk.pc
#multiarch						%{multiarch_includedir}/asterisk/defaults.h

%files docs
%defattr(-,root,root)
%doc							docs-html/*

%if %{build_misdn}
%files chan_misdn
%defattr(-,root,root)
%attr(0644,asterisk,asterisk) %config(noreplace)	%{_sysconfdir}/asterisk/misdn.conf
%attr(0755,root,root)					%{_libdir}/asterisk/modules/chan_misdn.so
%endif

%files plugins-fax
%defattr(-,root,root)
#attr(0755,root,root)
%{_libdir}/asterisk/modules/app_*fax.so

%if %{build_odbc}
%files plugins-odbc
%defattr(-,root,root)
%attr(0644,asterisk,asterisk) %config(noreplace)	%{_sysconfdir}/asterisk/*_odbc.conf
%attr(0755,root,root)					%{_libdir}/asterisk/modules/*_odbc.so
%endif

%files plugins-pgsql
%defattr(-,root,root)
%attr(0644,asterisk,asterisk) %config(noreplace)	%{_sysconfdir}/asterisk/cdr_pgsql.conf
#attr(0755,root,root)					%{_libdir}/asterisk/modules/app_sql_postgres.so
%attr(0755,root,root)					%{_libdir}/asterisk/modules/cdr_pgsql.so
%attr(0755,root,root)					%{_libdir}/asterisk/modules/res_config_pgsql.so

%if %{build_radius}
%files plugins-radius
%defattr(-,root,root)
%attr(0755,root,root)					%{_libdir}/asterisk/modules/cdr_radius.so
%endif

%files plugins-sqlite
%defattr(-,root,root)
%attr(0755,root,root)					%{_libdir}/asterisk/modules/cdr_sqlite.so

%if %build_tds
%files plugins-tds
%defattr(-,root,root)
%attr(0644,asterisk,asterisk) %config(noreplace)	%{_sysconfdir}/asterisk/cdr_tds.conf
%attr(0755,root,root)					%{_libdir}/asterisk/modules/cdr_tds.so
%endif

%files plugins-osp
%defattr(-,root,root)
%attr(0644,asterisk,asterisk) %config(noreplace)	%{_sysconfdir}/asterisk/osp.conf
%attr(0755,root,root)					%{_libdir}/asterisk/modules/app_osplookup.so

%files plugins-snmp
%defattr(-,root,root)
%attr(0644,asterisk,asterisk) %config(noreplace)	%{_sysconfdir}/asterisk/res_snmp.conf
%attr(0755,root,root)					%{_libdir}/asterisk/modules/res_snmp.so

%files plugins-jabber
%defattr(-,root,root)
%attr(0644,asterisk,asterisk) %config(noreplace)	%{_sysconfdir}/asterisk/gtalk.conf
%attr(0644,asterisk,asterisk) %config(noreplace)	%{_sysconfdir}/asterisk/jabber.conf
%attr(0755,root,root)					%{_libdir}/asterisk/modules/chan_gtalk.so
%attr(0755,root,root)					%{_libdir}/asterisk/modules/res_jabber.so

%files webvmail
%defattr(-,root,root)
%attr(4755,root,root)					/var/www/cgi-bin/vmail.cgi
%attr(-,root,root)		%dir			/var/www/html/_asterisk
%attr(0644,root,root)					/var/www/html/_asterisk/animlogo.gif
%attr(0644,root,root)					/var/www/html/_asterisk/play.gif


%changelog
* Sun Sep 09 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.11-2mdv2008.0
+ Revision: 83544
- fix chan_sip INFO content length = 0
- new SIP over tcp patch
- enable SIP over tcp for now

* Sat Aug 25 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.11-1mdv2008.0
+ Revision: 71358
- add BuildRequires: perl-devel
- 1.4.11

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against latest net-snmp-devel

* Wed Aug 08 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.10-1mdv2008.0
+ Revision: 60039
- 1.4.10

* Wed Jul 25 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.9-1mdv2008.0
+ Revision: 55187
- 1.4.9

* Tue Jul 24 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.8-2mdv2008.0
+ Revision: 54917
- fix build
- fix #29812
- use the new %%serverbuild macro
- spec file cleansing

  + Stefan van der Eijk <stefan@mandriva.org>
    - adjust BuildRequires to new dev package standard (cough)
    - 1.4.8

* Tue Jul 10 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.7.1-1mdv2008.0
+ Revision: 51072
- 1.4.7.1

* Tue Jul 10 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.7-1mdv2008.0
+ Revision: 50816
- 1.4.7

* Fri Jun 29 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.6-1mdv2008.0
+ Revision: 45922
- 1.4.6

* Sat Jun 16 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.5-1mdv2008.0
+ Revision: 40346
- 1.4.5

* Thu May 31 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.4.4-2mdv2008.0
+ Revision: 33294
- Rebuild with libnewt0.52.

* Wed May 02 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.4-1mdv2008.0
+ Revision: 20522
- 1.4.4

* Wed Apr 25 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.3-1mdv2008.0
+ Revision: 18328
- 1.4.3


* Fri Mar 30 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.2-1mdv2007.1
+ Revision: 149806
- 1.4.2

* Sun Mar 04 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.1-1mdv2007.1
+ Revision: 132083
- rm -rf instead of rm -f
- sort out more of the sounds stuff
- 1.4.1
- remove gtalk patches (merged upstream)
- disable build_tds for now (patch broke)

* Thu Feb 15 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-4mdv2007.1
+ Revision: 121453
- use the stand alone asterisk-core-sounds package instead

* Mon Feb 12 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-3mdv2007.1
+ Revision: 118837
- add gtalk / jabber patches from http://bugs.digium.com/view.php?id=7764
- change permisions on configuration files
- comment out unused patches
- bump release

* Fri Dec 29 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-2mdv2007.1
+ Revision: 102675
- disable SIP over TCP / TLS for now
- add some missing dirs
- updated SIP over TCP / TLS patch to 20061212, but it doesn't apply 100%%

* Sun Dec 24 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-1mdv2007.1
+ Revision: 101978
- 1.4.0

* Sat Dec 23 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-0.6.beta4mdv2007.1
+ Revision: 101874
- Thu Dec 21 2006 P. Christeas <p_christeas@yahoo.com>
- Fix iax2 with chan_iax2.c rev. 48564
- Add app_rxfax, app_txfax for 1.4 (correct patch)

* Tue Dec 19 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-0.5.beta4mdv2007.1
+ Revision: 99731
- re-add
- re-add ppcfix patch
- 1.4.0-beta4

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild
    - rebuilt against curl-7.16.0

* Fri Oct 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-0.4.beta3mdv2007.1
+ Revision: 73077
- add more build deps (pam,krb5)
- dropped upstream/obsolete patches; P9,P10
- rediffed P4
- added P16,P17,P18
- enable almost all the bundled modules/drivers/features
- major deps changes, you really need the build deps from svn to be able to build it
- did some general spec file cleansing...

  + Stefan van der Eijk <stefan@mandriva.org>
    - fixed rundir path in /etc/asterisk/asterisk.conf
    - 1.4.0-beta3

* Thu Oct 19 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-0.1.beta2mdv2007.0
+ Revision: 70980
- 1.4.0 beta2, first try
- Import asterisk

* Sun Sep 17 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.12.1-1
- 1.2.12.1
- rediffed patch15 (metermaid)

* Sat Sep 09 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.12-1
- 1.2.12

* Fri Sep 01 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.11-1
- 1.2.11
- disable chan_misdn package

* Thu Aug 17 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.10-2
- added patch15: asterisk-1.2.7.1-metermaid, digium issue #5779
  requested by Mat Murdock

* Wed Jul 19 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.10-1
- 1.2.10

* Wed Jun 07 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.9.1-1mdv2007.0
- 1.2.9.1

* Wed Jun 07 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.9-1mdv2007.0
- 1.2.9

* Thu Jun 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.8-1mdv2007.0
- 1.2.8
- rediffed P0
- provide the generated devel docs

* Tue May 16 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.7.1-4mdk
- apply patch 14 to non ix86 archs

* Mon May 01 2006 Emmanuel Blindauer <blindauer@mandriva.org> 1.2.7.1-3mdk
- Remove ExclusiveArch as sys/io.h is only needed in an extra program
- really fix build for ppc

* Mon May 01 2006 Emmanuel Blindauer <blindauer@mandriva.org> 1.2.7.1-2mdk
- fix ExclusiveArch

* Fri Apr 14 2006 Stefan van der eijk <stefan@eijk.nu> 1.2.7.1-1mdk
- 1.2.7.1

* Fri Apr 14 2006 Stefan van der eijk <stefan@eijk.nu> 1.2.7-1mdk
- 1.2.7

* Thu Mar 30 2006 Stefan van der eijk <stefan@eijk.nu> 1.2.6-1mdk
- 1.2.6

* Sat Mar 18 2006 Stefan van der eijk <stefan@eijk.nu> 1.2.5-3mdk
- add dependencies to webvmail package

* Wed Mar 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-2mdk
- drop the bristuff patch, use visdn instead as it is less intrusive

* Sun Mar 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-1mdk
- 1.2.5
- rediffed P0,P3,P4

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-5mdk
- activated the spandsp fax stuff with a new P1

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-4mdk
- bristuff-0.3.0-PRE-1l (P3)
- ship the misdn stuff (P10)

* Fri Feb 17 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-3mdk
- rework the initscript, that safe_asterisk is really not safe
- more permissions fixes

* Tue Feb 14 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-2mdk
- second go at using external codec libs (lpc10,gsm,ilbc)
- fix permissions

* Sun Feb 05 2006 stefan van der Eijk <stefan@eijk.nu> 1.2.4-1mdk
- 1.2.4
- update bristuff to 0.3.0-PRE-1i
- added patch100. to fix "too few arguments to function 'ast_request'"

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1.2.1-6mdk
- fix typo in initscript

* Sun Jan 08 2006 Olivier Blin <oblin@mandriva.com> 1.2.1-5mdk
- convert parallel init to LSB

* Thu Jan 05 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-4mdk
- we need /var/run/asterisk
- pinit startup script
- lock down some directories
- make seperate package for webvmail

* Tue Dec 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-3mdk
- activate rediffed bristuff patch (P3)
- added the capi sub package

* Mon Dec 26 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-2mdk
- update bristuff to 0.3.0-PRE-1d

* Mon Dec 12 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-1mdk
- 1.2.1
- rediff patch0

* Sun Nov 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-1mdk
- 1.2.0
- don't add and then blindly remove suid bit on /usr/bin/mpg123
- don't lie in the %%description
- new S2 (AsteriskDocs)

* Sat Nov 12 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-0.rc2.1mdk
- 1.2.0-rc2

* Wed Nov 09 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-0.rc1.1mdk
- 1.2.0-rc1
- drop patch5 --> merged upstream

* Sun Oct 30 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-0.beta1.5mdk
- BuildRequires oggvorbis-devel

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-0.beta1.4mdk
- install more missing headers
- remove insane deps names

* Sun Oct 30 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-0.beta1.3mdk
- multiarch
- use asterisk user, also adjust source1
- add / remove setuidroot bit on /usr/bin/mpg123 for MOH

* Sun Oct 23 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-beta1-1mdk
- 1.2.0-beta1
- removed patch6 (indications) merged upstream
- disable bristuff patch for now
- add some new files
- BuildRequires

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-0.20050529.2mdk
- rebuild
- use sane deps names
- added P9 due api changes in new freetds libs

* Thu Jun 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-20050529.1mdk
- use a more appropriate version because this is really HEAD and not 1.0.8

* Wed Jun 01 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050529.1mdk
- new snap (20050529)
- bristuff-0.2.0-RC8f-CVS (P3)
- drop P7 - not needed anymore
- drop P9 - applied upstream

* Wed May 18 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.6mdk
- added one gcc4 fix in P3 (debian)
- added support for Swedish and Norwegian in app_voicemail.c (P9)
  (Daniel Nylander)

* Fri Apr 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.5mdk
- bristuff-0.2.0-RC8a-CVS (P3)
- mention the bristuff version in the description

* Fri Apr 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.4mdk
- heh! i had totally forgotten i packed the osptoolkit, so why not enable it?
- fix deps

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.3mdk
- fix openh323 driver build on x86_64
- fix deps

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.2mdk
- added some missing/forgotten log directories
- let the openh323 driver listen on 0.0.0.0 (P8)

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.1mdk
- bristuff-0.2.0-RC8-CVS
- provide the asterisk-addons stuff from another package
- added more countries in the indications.conf file
- deactivate the fax stuff, it won't build
- activate the openh323 stuff as it builds now (on cooker/10.2)

* Sat Apr 23 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-5mdk
- bristuff-0.2.0-RC8
- fix the sysv script after looking at what's in the contribs directory

* Thu Apr 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-4mdk
- rebuilt against new postgresql libs

* Mon Apr 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-3mdk
- argh!, i missed the offending "extern int errno;" stuff

* Sun Apr 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-2mdk
- more freetds 0.63 fixes (P8)
- add forgotten errno.h header inclusion in app_rxfax.c and app_txfax.c

* Thu Mar 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7
- rediff P0 and touch P4
- added P8

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6
- rediff P0,P3,P4
- bristuff-0.2.0-RC7k
- use the %%mkrel macro
- revert the broken usage of broken out libs such as db1, gsm,
  libedit, libilbc and lpc10. this might work better sometime 
  in the future.
- link against the new mssql friendly freetds lib, deps and P7
- fix #12534

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-4mdk
- rebuilt against MySQL-4.1.x and PostgreSQL-8.x system libs

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-3mdk
- fixed P0 to remove readline-devel deps

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-2mdk
- added missing headers

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3
- bristuff-0.2.0-RC3 (P3)
- rediffed P0, P2
- added P6

* Fri Nov 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-2mdk
- bristuff-0.2.0-rc2a (P3), added missing arguments in apps/app_rpt.c
- deactivate chan_h323 as it's too broken
- deactivate res_perl, it won't build
- turn off debug

* Mon Nov 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- rediffed P0
- bristuff-0.2.0-rc2 (P3)

* Tue Oct 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.1-2mdk
- oops!, have to hack the perl stuff some more before building it...

* Tue Oct 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1
- rediffed P3
- added the perl stuff

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-4mdk
- fixed P1 (gsm and ilbc is shared libraries now)
- openh323-devel seemed borked, require >= 1.13.5.3-2mdk

* Mon Sep 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-3mdk
- fixed P1
- added P3 by Klaus-Peter Junghanns

* Mon Sep 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-2mdk
- add one small fix in P0 and also mention that fragments of it 
  originates from debian.

* Sat Sep 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- fix url

* Thu Sep 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.20040916.3mdk
- Rebuild with latest pwlib/openh323

* Wed Sep 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20040916.2mdk
- fix BuildRequires (Stefan van der Eijk <stefan@eijk.nu>)

* Fri Sep 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20040916.1mdk
- 20040916
- fix some bugs
- fix P0
- broke out some of the stuff into their respective plugins sub packages
- added the muted stuff
- added the README.MDK file

* Wed Sep 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20040914.1mdk
- 20040914
- make it compile on cooker too
- merged P0 - P8 -> P0
- added the cdr_mysql code from the asterisk-addons package (merged into P0)
- added format_mp3 asterisk-addon stuff from the asterisk-addons package
- added the docs from http://www.asteriskdocs.org/

* Tue Sep 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20040912.1mdk
- 20040912
- rediff P0
- added the spandsp addon (P2)
- added logrotate stuff

* Mon Sep 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.2mdk
- fix the patches
- added P2, P3, P4, P5, P6 & P7

* Sat Sep 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.1mdk
- initial mandrake package
- used the provided spec file by Robert Vojta as a template
- added P0 & P1

